Debian Bug report logs - #384386
RM: dbmail -- RoQA; NPOASR; RC-buggy; security issues

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Wed, 23 Aug 2006 22:18:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#384386; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: dbmail - RC-buggy, security-buggy, very few users
Date: Wed, 23 Aug 2006 22:54:04 +0200
Package: ftp.debian.org
Severity: normal

Please remove dbmail:
- Last upload in Nov 2004
- 5 RC bugs, some more than two years old
- Has never been part of a stable release
- Only 5 respectively 1 popcon user
- Two open security problems 290833 and 303991

Cheers,
        Moritz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#384386; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 384386@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 384386@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@debian.org>
Subject: Do not remove dbmail
Date: Sun, 24 Sep 2006 12:27:47 +0200
[Message part 1 (text/plain, inline)]
> Please remove dbmail:
> - Last upload in Nov 2004
> - 5 RC bugs, some more than two years old
> - Has never been part of a stable release
> - Only 5 respectively 1 popcon user
> - Two open security problems 290833 and 303991

The maintainer has just uploaded a packaged version of latest 2.1.7, a
major improvement over the old version that was in unstable. It
addresses nearly all outstanding bugs. I don't think removing it is
necessary (anymore).


Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#384386; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 384386@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 384386@bugs.debian.org
Cc: Thijs Kinkhorst <thijs@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: No sign of the upload and new FTBFS - remove?
Date: Fri, 27 Oct 2006 21:08:46 +0100
[Message part 1 (text/plain, inline)]
Thijs Kinkhorst wrote on Sun, 24 Sep 2006 12:27:47 +0200
> The maintainer has just uploaded a packaged version of latest 2.1.7,

There appears to be no sign of this upload and the current package  
still FTBFS. See bugs #380713, #284770 and #376381 (merged).

dbmail is also blocking the automake -> automake1.4 transition and  
AFAICT it is the *only* blocking bug left unfixed for that transition.

The current bug status for dbmail is:
# Pending Upload bugs -- Grave functionality bugs (2 bugs)
# Pending Upload bugs -- Serious policy violations (4 bugs)
# Pending Upload bugs -- Normal bugs (3 bugs)
# Pending Upload bugs -- Minor bugs (3 bugs)
# Pending Upload bugs -- Wishlist items (5 bugs)

Only there appears to be no upload in the immediate future. If those  
bugs are no longer to be regarded as pending, dbmail has 6 RC bugs - 5  
if the FTBFS bugs are merged.
:-(

dbmail probably does need to be removed.

-- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#384386; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 384386@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: "Neil Williams" <codehelp@debian.org>
Cc: 384386@bugs.debian.org, "Moritz Muehlenhoff" <jmm@debian.org>
Subject: Re: No sign of the upload and new FTBFS - remove?
Date: Sat, 28 Oct 2006 10:26:15 +0200 (CEST)
On Fri, October 27, 2006 22:08, Neil Williams wrote:
> Thijs Kinkhorst wrote on Sun, 24 Sep 2006 12:27:47 +0200
>> The maintainer has just uploaded a packaged version of latest 2.1.7,
>
> There appears to be no sign of this upload and the current package
> still FTBFS. See bugs #380713, #284770 and #376381 (merged).

The package has been rejected from NEW, there was a problem with the
library packaging. I hope the maintainer will fix that soon and upload a
new revision.

> dbmail probably does need to be removed.

I don't see any advantage in that - it's currently not in testing, and
keeping it in sid doesn't do much harm. There's plans to revive it, so
what would we gain with removal?


Thijs




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#384386; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 384386@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 384386@bugs.debian.org
Subject: Removing spurious pending tags
Date: Tue, 28 Nov 2006 09:28:20 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> On Fri, October 27, 2006 22:08, Neil Williams wrote:
> > Thijs Kinkhorst wrote on Sun, 24 Sep 2006 12:27:47 +0200
>>> The maintainer has just uploaded a packaged version of latest 2.1.7,
> >
> > There appears to be no sign of this upload and the current package
> > still FTBFS. See bugs #380713, #284770 and #376381 (merged).

> The package has been rejected from NEW, there was a problem with the
> library packaging. I hope the maintainer will fix that soon and  
> upload a new revision.

> > dbmail probably does need to be removed.

> I don't see any advantage in that - it's currently not in testing,  
> and keeping it in sid doesn't do much harm. There's plans to revive  
> it, so what would we gain with removal?

1. Completion of the automake -> automake1.4 transition.
2. Remove one block of the debconf-2.0 transition.
3. Removal of a package that is completely broken.

It is misleading to leave so many tags "pending" when there has been no  
sign of a fix since the rejection.

*Please* remove dbmail:
- - Last upload in Nov 2004
- - 2 Grave functionality bugs, over a year old
- - 6 Serious policy violations, most over a year old, one over 2yr.
- - Has never been part of a stable release
- - Only 5 respectively 1 popcon user
- - Two open security problems 290833 and 303991
- - blocking the automake transition
- - blocking the debconf-2.0 transition
- - unsatisfiable Depends: libmysqlclient10
- - unsatisfiable Depends: libpq3 (>= 7.4)
- - incomplete debian/copyright

It's not just the current 1.2.11-1, the oldest RC bug applies to 1.2.8b

http://qa.debian.org/debcheck.php?dist=unstable&package=dbmail

IMHO, leaving dbmail in Debian makes a mockery of Debian QA. It's  
broken, been broken for two years, has security problems, simply won't  
build - I can see absolutely no reason to retain it.

Fixing the RC bugs isn't sufficient - the package needs maintenance and  
in the absence of an acceptable new release or an active Debian  
maintainer, the only option that I can see is removal.

- -- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFbAE4k7DVr6iX/QIRAiWOAJ4s1qncuC87nklLg6VPwWIMhG5XzQCeMxGt
dPdy5n0r0Qi6YUB0ltFz//U=
=1j7J
-----END PGP SIGNATURE-----




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 384386-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 384386-close@bugs.debian.org
Cc: dbmail@packages.debian.org, dbmail@packages.qa.debian.org
Subject: Bug#384386: fixed
Date: Sat, 23 Dec 2006 11:14:57 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    dbmail |   1.2.11-1 | source
dbmail-mysql |   1.2.11-1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
dbmail-pgsql |   1.2.11-1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384386@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:56:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:42:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.